# Poco::Data::PostgreSQL

# class TransactionException

Library: Data/PostgreSQL
Package: PostgreSQL
Header: Poco/Data/PostgreSQL/PostgreSQLException.h

## Description

TrabsactionException

## Inheritance

Direct Base Classes: ConnectionException

All Base Classes: Poco::Data::DataException, ConnectionException, PostgreSQLException, Poco::Exception, Poco::IOException, Poco::RuntimeException, std::exception

## Member Summary

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### TransactionException

TransactionException(
const std::string & aMessage
);

Creates TransactionException from string.